=== INSTALL/EXE/Makefile ===
xsize : 
	( cd ../ ; make xsize )
xintface :
	( cd ../ ; make xintface )
xsyserrors :
	( cd ../ ; make xsyserrors )
xtranscomm :
	( cd ../ ; make xtranscomm )
xmpi_sane  :
	( cd ../ ; make xmpi_sane )
xfmpi_sane  :
	( cd ../ ; make xfmpi_sane )
xtc_CsameF77:
	( cd ../ ; make xtc_CsameF77 )
xtc_UseMpich:
	( cd ../ ; make xtc_UseMpich )
clean:
	( cd ../ ; make clean )
