=== debian/changelog ===
blacs-mpi (1.1-40build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:17:20 +0000

blacs-mpi (1.1-40) unstable; urgency=medium

  * Team upload.
  * update debian/control: +powerpcspe -mips64 -sparc

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Jun 2017 13:20:40 +0800

blacs-mpi (1.1-39) unstable; urgency=medium

  * Team upload.
  * Now team-maintained by Debian Science.
  * Update list of OpenMPI arches
    (in line with /usr/share/mpi-default-dev/debian_defaults):
    - add powerpcspe
    - remove mips64, sparc
    - Closes: #850779.
  * Use multiarch lib directories. Closes: #722755.
  * Source format 3.0 (quilt).
  * debian/compat 9
  * Standards-Version: 3.9.8
  * VCS (git repository) now at
    https://anonscm.debian.org/cgit/debian-science/packages/blacs-mpi.git/

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Jun 2017 12:43:48 +0800

blacs-mpi (1.1-38) unstable; urgency=medium

  * /usr/lib/openmpi path in debian/blacs-mpi-implementations.patch  was
    replaced with the correct triplet path. Thanks to Gilles Filippini for
    providing a patch (Closes: #848813)

 -- Muammar El Khatib <muammar@debian.org>  Sat, 25 Mar 2017 13:10:54 -0400

blacs-mpi (1.1-37) unstable; urgency=medium

  * This revision is not running tests for i386, alpha, sh4. This avoids them
    to FTBFS because of this error: `Build killed with signal TERM after 150
    minutes of inactivity`.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 24 Aug 2016 17:33:47 +0200

blacs-mpi (1.1-36) unstable; urgency=medium

  * Missing separator added in debian/rules making the package FTBFS in some
    architectures.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 20 Aug 2016 19:09:24 +0200

blacs-mpi (1.1-35) unstable; urgency=medium

  * Added a conditional in debian/rules for some architectures suffering from
    `Build killed with signal TERM after 150 minutes of inactivity`.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 20 Aug 2016 18:15:15 +0200

blacs-mpi (1.1-34) unstable; urgency=medium

  * hppa architecture has been switched from mpich to openmpi (Closes:
    #834181).
  * "build-arch" and "build-indep" targets addedin debian/rules. Thanks to
    Santiago Vila  for providing a patch (Closes: #821968).
  * Now the package runs testsuite. Thanks to Michael Banck for providing
    a patch (Closes: #816347, #813551).

 -- Muammar El Khatib <muammar@debian.org>  Mon, 15 Aug 2016 14:41:06 +0200

blacs-mpi (1.1-33.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the list of MPI architectures:
    + switch s390x from mpich to OpenMPI.
    + switch sparc64 from mpich to OpenMPI.
    + add x32 to OpenMPI.
    + add sh4 to mpich.
    + drop powerpcspe.
    + Closes: #814150

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Feb 2016 17:47:00 +0000

blacs-mpi (1.1-33.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use `pkg-config mpi-fort --libs` rather than hard-coded libs for
    openmpi.  Patch from Alastair McKinstry <mckinstry@debian.org>.
    Closes: #813490

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 03 Feb 2016 08:44:20 +0000

blacs-mpi (1.1-33.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Link the mpich based library against the libmpich and libmpichfort.
    Closes: #811229.
  * Remove ppc64 from the list of mpich architectures.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:33:39 +0100

blacs-mpi (1.1-33) unstable; urgency=medium

  * Moving arm64 from MPICH_ARCHS to OPENMPI_ARCHS. In this way, the package
    builds correctly in arm64. Thanks to Edmund Grimley Evans. (Closes: #765328)

 -- Muammar El Khatib <muammar@debian.org>  Fri, 17 Oct 2014 10:12:28 +0200

blacs-mpi (1.1-32) unstable; urgency=medium

  * mips64 and mips64el were marked as openmpi archs. (Closes: #761946)

 -- Muammar El Khatib <muammar@debian.org>  Tue, 23 Sep 2014 14:42:00 +0200

blacs-mpi (1.1-31.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add arm64, ppc64 and ppc64el to the openmpi architectures.
  * Build OpenMPI with -DUseMpi2. Closes: #714583.
  * debian/rules: declare library dependencies correctly. Closes: #660214.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Aug 2014 22:57:32 +0200

blacs-mpi (1.1-31.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop transitional package libblacs-mpi1: it breaks reverse
    dependencies on mpich archs, because of the mpich2->mpich transition.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 23 Apr 2014 14:33:08 +0200

blacs-mpi (1.1-31.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No longer silently change the SONAME of the MPI blacs shared
    library when the default MPI implementation changes on a given arch.
    (Closes: #740764)
    + Create two new binary packages libblacs-openmpi1 and
      libblacs-mpich1, corresponding to the two possible SONAMES.
    + The architecture list for each binary package is stored in debian/rules,
      and debian/control is now generated from debian/control.in by the clean
      rule.
    + Keep a transitional package for libblacs-mpi1.
    + Make sure that the package FTBFS if the default MPI implementation
      changes on a given arch (instead of silently changing the SONAME or
      creating an empty package).

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 03 Apr 2014 16:31:07 +0200

blacs-mpi (1.1-31.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support MPICH3 which is now simply called MPICH. (Closes: #731225)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Dec 2013 13:25:27 +0000

blacs-mpi (1.1-31) unstable; urgency=low

  * Rebuilding with mpi-default-dev >=1.0 (Closes: #652312)

 -- Muammar El Khatib <muammar@debian.org>  Fri, 23 Dec 2011 20:40:53 +0100

blacs-mpi (1.1-30.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add support for ARCH_DEFAULT_MPI_IMPL from mpi-default-dev.

