=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: blacs-mpi
Section: devel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Muammar El Khatib <muammar@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 7), dh-exec, mpi-default-dev (>= 1.0), mpi-default-bin, gfortran, pkg-config
Homepage: http://www.netlib.org/blacs/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/blacs-mpi.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/blacs-mpi.git/

Package: libblacs-openmpi1
Section: libs
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}
Breaks: libblacs-mpi1 (<< 1.1-31.2)
Replaces: blacs1-mpich, blacs1gf-mpich, blacs1-lam, blacs1gf-lam,
          libblacs-mpi1 (<< 1.1-31.2)
Conflicts: blacs1-mpich, blacs1gf-mpich, blacs1-lam, blacs1gf-lam
Description: Basic Linear Algebra Comm. Subprograms - Shared libs. for OpenMPI
 The BLACS project is an ongoing investigation whose purpose is to
 create a linear algebra oriented message passing interface that may be
 implemented efficiently and uniformly across a large range of
 distributed memory platforms.
 .
 You can choose between an implementation based on MPI or PVM. This package
 uses MPI. There are packages for the shared libraries (this one), for the
 static libraries and the development files, and for test programs.
 .
 Most users do not need to install this package directly because it is
 used as a high level driver for the communication in the ScaLAPACK packages.
 Therefore, it is installed when installing ScaLAPACK. ScaLAPACK is a
 parallel version of LAPACK and is used on Beowulf type clusters.

Package: libblacs-mpich1
Section: libs
Architecture: m68k sh4
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}
Breaks: libblacs-mpi1 (<< 1.1-31.2)
Replaces: blacs1-mpich, blacs1gf-mpich, blacs1-lam, blacs1gf-lam,
          libblacs-mpi1 (<< 1.1-31.2)
Conflicts: blacs1-mpich, blacs1gf-mpich, blacs1-lam, blacs1gf-lam
Description: Basic Linear Algebra Comm. Subprograms - Shared libs. for MPICH
 The BLACS project is an ongoing investigation whose purpose is to
 create a linear algebra oriented message passing interface that may be
 implemented efficiently and uniformly across a large range of
 distributed memory platforms.
 .
 You can choose between an implementation based on MPI or PVM. This package
 uses MPI. There are packages for the shared libraries (this one), for the
 static libraries and the development files, and for test programs.
 .
 Most users do not need to install this package directly because it is
 used as a high level driver for the communication in the ScaLAPACK packages.
 Therefore, it is installed when installing ScaLAPACK. ScaLAPACK is a
 parallel version of LAPACK and is used on Beowulf type clusters.

Package: libblacs-mpi-dev
Section: libdevel
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32 m68k sh4
Depends: libblacs-openmpi1 (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32],
         libblacs-mpich1 (= ${binary:Version}) [m68k sh4],
         mpi-default-dev, ${misc:Depends}
Replaces: blacs-mpi, blacs-mpich-dev, blacsgf-mpich-dev, blacs-lam-dev, blacsgf-lam-dev
Conflicts: blacs-mpi, blacs-mpich-dev, blacsgf-mpich-dev, blacs-lam-dev, blacsgf-lam-dev
Description: Basic Linear Algebra Comm. Subprograms - Dev. files for MPI
 The BLACS project is an ongoing investigation whose purpose is to
 create a linear algebra oriented message passing interface that may be
 implemented efficiently and uniformly across a large range of
 distributed memory platforms.
 .
 You can choose between an implementation based on MPI or PVM. This package
 uses MPI. There are packages for the shared libraries, for the static
 libraries and the development files (this one), and for test programs.
 .
 Most users do not need to install this package directly because it is
 used as a high level driver for the communication in the ScaLAPACK packages.
 Therefore, it is installed when installing ScaLAPACK. ScaLAPACK is a
 parallel version of LAPACK and is used on Beowulf type clusters.

Package: blacs-mpi-test
Section: math
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32 m68k sh4
Depends: blacs-test-common, ${shlibs:Depends}, ${misc:Depends}
Replaces: blacs-mpich-test, blacsgf-mpich-test, blacs-lam-test, blacsgf-lam-test
Conflicts: blacs-mpich-test, blacsgf-mpich-test, blacs-lam-test, blacsgf-lam-test
Description: Basic Linear Algebra Comm. Subprograms - Test files for MPI
 The BLACS project is an ongoing investigation whose purpose is to
 create a linear algebra oriented message passing interface that may be
 implemented efficiently and uniformly across a large range of
 distributed memory platforms.
 .
 You can choose between an implementation based on MPI or PVM. This package
 uses MPI. There are packages for the shared libraries, for the static
 libraries and the development files, and for test programs (this one).
 .
 Most users do not need to install this package directly because it contains
 test programs for the BLACS libraries. You only need these if you experience
 problems with ScaLAPACK. The BLACS libraries are used as a high level
 communications library for ScaLAPACK. ScaLAPACK is a parallel version of
 LAPACK and is used on Beowulf type clusters.

Package: blacs-test-common
Section: math
Architecture: all
Depends: ${misc:Depends}
Description: Test data for BLACS testers
 The BLACS project is an ongoing investigation whose purpose is to
 create a linear algebra oriented message passing interface that may be
 implemented efficiently and uniformly across a large range of
 distributed memory platforms.
 .
 You can choose between an implementation based on MPI or PVM. This package
 provides test data for all BLACS packages (MPI and PVM versions).
 .
 Most users do not need to install this package directly because it is
 installed when installing the test programs for any BLACS package.
