=== debian/rules ===
#! /usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
# Handmodified by P. Frauenfelder for debhelper support, 5 Sept 1998

topdir=$(shell pwd)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Read the MPI implementation provided by mpi-default-dev.
include /usr/share/mpi-default-dev/debian_defaults
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# This list of archs is maintained separately from that of the mpi-defaults
# package. If there is a mismatch between the two, the package will FTBFS. This
# is on purpose, to avoid silent breakage. See #740620 for more details.
OPENMPI_ARCHS=alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32
MPICH_ARCHS=m68k sh4

# This list is to avoid the problem caused by Caught signal ‘Terminated’:
# terminating immediately in some build machines.

NO_TESTING = mips64el mipsel powerpc ppc64 sparc64 i386 alpha sh4
NO_TESTING_ARCH = $(shell dpkg-architecture -q DEB_BUILD_ARCH)
$(info NO_TESTING_ARCH is $(NO_TESTING_ARCH))

build-arch: build

build-indep: build

build: build-$(ARCH_DEFAULT_MPI_IMPL)

build-openmpi: build-stamp-openmpi check-stamp-openmpi

build-lam: build-stamp-lam check-stamp-lam

build-mpich: build-stamp-mpich check-stamp-mpich

build-mpich2: build-stamp-mpich2 check-stamp-mpich2

build-stamp-openmpi:
	dh_testdir
	[ -d TESTING/EXE ] || mkdir TESTING/EXE
# build the static libraries
	BASEDIR=$(topdir) MPI=openmpi make mpi
# the testing binaries
	cd TESTING && BASEDIR=$(topdir) \
	  BTLIBS='$$(BLACSFINIT) $$(BLACSLIB) $$(BLACSFINIT) $$(MPILIB)' \
	  BUILD=static MPI=openmpi make
# next is a clean
	BASEDIR=$(topdir) make cleanall
	cd TESTING && BASEDIR=$(topdir) make clean
# build the shared libraries
	BASEDIR=$(topdir) FPIC=-fPIC MPI=openmpi make mpi
	mkdir -p tmp
	set -e ;\
	for i in blacs blacsF77init blacsCinit ; do \
	  cd tmp ;\
	  ar x ../LIB/$${i}_MPI-LINUX-0.a ;\
	  mkdir -p tmp ;\
	  for j in $$(find -name "*.C") ;\
	    do mv $$j tmp/$$(echo $$j | sed 's,C$$,o,g') ;\
	  done;\
	  cd .. ;\
	  gcc -shared -Wl,-soname=lib$$i-openmpi.so.1 -o lib$$i-openmpi.so.1.1 \
	    $$(find tmp -name "*.o") $$(pkg-config mpi-fort --libs); \
	  ln -fs lib$$i-openmpi.so.1.1 lib$$i-openmpi.so.1 ;\
	  ln -fs lib$$i-openmpi.so.1 lib$$i-openmpi.so ;\
	  rm -f tmp/tmp/* ; rmdir tmp/tmp ; rm tmp/* ;\
	done
	rmdir tmp
# the testing binaries
	cd TESTING && BASEDIR=$(topdir) \
	  BTLIBS='-L.. -lblacsF77init-openmpi -lblacs-openmpi -lblacsF77init-openmpi $$(MPILIB)' \
	  BUILD=shared MPI=openmpi make

	touch build-stamp-openmpi

build-stamp-lam:
	dh_testdir
	[ -d TESTING/EXE ] || mkdir TESTING/EXE
# next is a clean
	BASEDIR=$(topdir) make cleanall
	cd TESTING && BASEDIR=$(topdir) make clean
# build the static libraries
	BASEDIR=$(topdir) MPI=lam make mpi
# the testing binaries
	cd TESTING && BASEDIR=$(topdir) \
	  BTLIBS='$$(BLACSFINIT) $$(BLACSLIB) $$(BLACSFINIT) $$(MPILIB)' \
	  BUILD=static MPI=lam make
# next is a clean
	BASEDIR=$(topdir) make cleanall
	cd TESTING && BASEDIR=$(topdir) make clean
# build the shared libraries
	BASEDIR=$(topdir) FPIC=-fPIC MPI=lam make mpi
	mkdir -p tmp
	set -e ;\
	for i in blacs blacsF77init blacsCinit ; do \
	  cd tmp ;\
	  ar x ../LIB/$${i}_MPI-LINUX-0.a ;\
	  mkdir -p tmp ;\
	  for j in $$(find -name "*.C") ;\
	    do mv $$j tmp/$$(echo $$j | sed 's,C$$,o,g') ;\
	  done;\
	  cd .. ;\
	  gcc -shared -Wl,-soname=lib$$i-lam.so.1 -o lib$$i-lam.so.1.1 \
	    $$(find tmp -name "*.o") -lmpi;\
	  ln -fs lib$$i-lam.so.1.1 lib$$i-lam.so.1 ;\
	  ln -fs lib$$i-lam.so.1 lib$$i-lam.so ;\
	  rm -f tmp/tmp/* ; rmdir tmp/tmp ; rm tmp/* ;\
	done
	rmdir tmp
# the testing binaries
	cd TESTING && BASEDIR=$(topdir) \
	  BTLIBS='-L.. -lblacsF77init-lam -lblacs-lam -lblacsF77init-lam $$(MPILIB)' \
	  BUILD=shared MPI=lam make

	touch build-stamp-lam

build-stamp-mpich:
	dh_testdir
	[ -d TESTING/EXE ] || mkdir TESTING/EXE
# next is a clean
	BASEDIR=$(topdir) make cleanall
	cd TESTING && BASEDIR=$(topdir) make clean
# build the static libraries
	BASEDIR=$(topdir) MPI=mpich make mpi
# the testing binaries
	cd TESTING && BASEDIR=$(topdir) \
	  BTLIBS='$$(BLACSFINIT) $$(BLACSLIB) $$(BLACSFINIT) $$(MPILIB)' \
	  BUILD=static MPI=mpich make
# next is a clean
	BASEDIR=$(topdir) make cleanall
	cd TESTING && BASEDIR=$(topdir) make clean
# build the shared libraries
	BASEDIR=$(topdir) FPIC=-fPIC MPI=mpich make mpi
	mkdir -p tmp
	set -e ;\
	for i in blacs blacsF77init blacsCinit ; do \
	  cd tmp ;\
	  ar x ../LIB/$${i}_MPI-LINUX-0.a ;\
	  mkdir -p tmp ;\
	  for j in $$(find -name "*.C") ;\
	    do mv $$j tmp/$$(echo $$j | sed 's,C$$,o,g') ;\
	  done;\
	  cd .. ;\
	  gcc -shared -Wl,-soname=lib$$i-mpich.so.1 -o lib$$i-mpich.so.1.1 \
	    $$(find tmp -name "*.o") -lmpich -lmpichfort;\
	  ln -fs lib$$i-mpich.so.1.1 lib$$i-mpich.so.1 ;\
	  ln -fs lib$$i-mpich.so.1 lib$$i-mpich.so ;\
	  rm -f tmp/tmp/* ; rmdir tmp/tmp ; rm tmp/* ;\
	done
	rmdir tmp
# the testing binaries
	cd TESTING && BASEDIR=$(topdir) \
	  BTLIBS='-L.. -lblacsF77init-mpich -lblacs-mpich -lblacsF77init-mpich $$(MPILIB)' \
	  BUILD=shared MPI=mpich make

	touch build-stamp-mpich

build-stamp-mpich2:
	dh_testdir
	[ -d TESTING/EXE ] || mkdir TESTING/EXE
# next is a clean
	BASEDIR=$(topdir) make cleanall
	cd TESTING && BASEDIR=$(topdir) make clean
# build the static libraries
	BASEDIR=$(topdir) MPI=mpich2 make mpi
# the testing binaries
	cd TESTING && BASEDIR=$(topdir) \
	  BTLIBS='$$(BLACSFINIT) $$(BLACSLIB) $$(BLACSFINIT) $$(MPILIB)' \
	  BUILD=static MPI=mpich2 make
# next is a clean
	BASEDIR=$(topdir) make cleanall
	cd TESTING && BASEDIR=$(topdir) make clean
# build the shared libraries
	BASEDIR=$(topdir) FPIC=-fPIC MPI=mpich2 make mpi
	mkdir -p tmp
	set -e ;\
	for i in blacs blacsF77init blacsCinit ; do \
	  cd tmp ;\
	  ar x ../LIB/$${i}_MPI-LINUX-0.a ;\
	  mkdir -p tmp ;\
	  for j in $$(find -name "*.C") ;\
	    do mv $$j tmp/$$(echo $$j | sed 's,C$$,o,g') ;\
	  done;\
	  cd .. ;\
	  gcc -shared -Wl,-soname=lib$$i-mpich2.so.1 -lmpich -o lib$$i-mpich2.so.1.1 \
	    $$(find tmp -name "*.o");\
	  ln -fs lib$$i-mpich2.so.1.1 lib$$i-mpich2.so.1 ;\
	  ln -fs lib$$i-mpich2.so.1 lib$$i-mpich2.so ;\
	  rm -f tmp/tmp/* ; rmdir tmp/tmp ; rm tmp/* ;\
	done
	rmdir tmp
# the testing binaries
	cd TESTING && BASEDIR=$(topdir) \
	  BTLIBS='-L.. -lblacsF77init-mpich2 -lblacs-mpich2 -lblacsF77init-mpich2 $$(MPILIB)' \
	  BUILD=shared MPI=mpich2 make

	touch build-stamp-mpich2

check-stamp-openmpi:

ifneq ($(filter $(NO_TESTING_ARCH),$(NO_TESTING)),)
	touch check-stamp-openmpi
else
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	 dh_testdir
	if [ -x /usr/bin/mpiexec.openmpi ]; then \
    	  (cd TESTING/EXE; for i in *-openmpi; do \
    	    echo "Running test $$i"; \
    	    LD_LIBRARY_PATH=../../ mpiexec.openmpi -np 4 ./$$i > $$i.log 2>&1 ; \
    	    grep FAILED $$i.log | sed s/DOUBLE// | \
    	    awk '{total += $$4; passed += $$6; skipped += $$8; failed += $$10} END \
    	      {print "total: " total " passed: " passed " skipped: " skipped " failed: " failed ; \
    	      if (failed > 0) {exit 1}}' ; \
    	  done) \
    	fi
    endif
	touch check-stamp-openmpi
endif

check-stamp-lam:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_testdir
	if [ -x /usr/bin/mpiexec.lam ]; then \
	  (cd TESTING/EXE; for i in *-lam; do \
	    echo "Running test $$i"; \
	    LD_LIBRARY_PATH=../../ mpiexec.lam -np 4 ./$$i > $$i.log 2>&1 ; \
	    grep FAILED $$i.log | sed s/DOUBLE// | \
	    awk '{total += $$4; passed += $$6; skipped += $$8; failed += $$10} END \
	      {print "total: " total " passed: " passed " skipped: " skipped " failed: " failed ; \
	      if (failed > 0) {exit 1}}' ; \
	  done) \
	fi
endif
	touch check-stamp-lam

check-stamp-mpich:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
